clear;
exec methodes.sci;

function y=f(x)
    y=exp(x);
endfunction
a=0; b=1;
Iex = exp(b)-exp(a);

ListeN = [10:20:400];
I_GaussLeg = []; I_Simpson = [];
for N=ListeN
    I_GaussLeg=[I_GaussLeg,GaussLegendre(f,a,b,N)];
    I_Simpson=[I_Simpson,Simpson(f,a,b,N)];
end
Erreur_GaussLeg = abs(I_GaussLeg-Iex)+%eps;
Erreur_Simpson = abs(I_Simpson-Iex)+%eps;

scf(1);clf();
plot(log(ListeN),log(Erreur_GaussLeg),log(ListeN),log(Erreur_Simpson));
legend('GaussLegendre','Simpson'); xlabel('log(N)'); ylabel('log(erreur)');


function y=g(x)
    y=cos(20*x);
endfunction
a=0; b=1;
Iex = 1/20*(sin(20*b)-sin(20*a));

ListeN = [10:20:400];
I_GaussLeg = []; I_Simpson = [];
for N=ListeN
    I_GaussLeg=[I_GaussLeg,GaussLegendre(g,a,b,N)];
    I_Simpson=[I_Simpson,Simpson(g,a,b,N)];
end
Erreur_GaussLeg = abs(I_GaussLeg-Iex)+%eps;
Erreur_Simpson = abs(I_Simpson-Iex)+%eps;

scf(2);clf();
plot(log(ListeN),log(Erreur_GaussLeg),log(ListeN),log(Erreur_Simpson));
legend('GaussLegendre','Simpson'); xlabel('log(N)'); ylabel('log(erreur)');

[aGL,b] = reglin(log(ListeN),log(Erreur_GaussLeg));
[aSi,b] = reglin(log(ListeN),log(Erreur_Simpson));




