clear;
exec methodes.sci;

function y=f(x)
    y = exp(sin(x))./(x.^(8/9));
endfunction
Iex = 10.09485330;

// methode du point milieu :
Liste_N = 2^(4:20);
Iapp = [];
for N = Liste_N
    Iapp = [Iapp,PointMilieu(f,0,1,N)];
end
Erreur = abs(Iapp-Iex);
scf(3);clf;
plot(log(Liste_N),log(Erreur),'g')
[a,b]=reglin(log(Liste_N),log(Erreur));
xlabel('log(N)'); ylabel('log(erreur)');
